| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::DbEngineConnectionChecker Class Reference
Inheritance diagram for Digikam::DbEngineConnectionChecker:

## Public Slots
void | stopChecking ()

## Signals
void | done ()
void | failedAttempt ()

## Public Member Functions
| DbEngineConnectionChecker (const DbEngineParameters &parameters)
bool | checkSuccessful () const

## Protected Member Functions
void | run () override